Subject: bug#78583: 31.0.50; emacs --fg-daemon not protecting frame F1

From: martin rudalics <[email-masked]>
Date: Wed, 28 May 2025 16:01:03 +0200

will have to anser that.>> I can offer the below.  It would have to be documented somewhere in the
 >> daemon/emacsclient section.  After all (delete-frame terminal-frame) can
 >> be used to kill the daemon - I never use emacsclient so I have no idea
 >> whether and how useful that would be.
 >
 > Is this indeed a recent regression?

No.

 > If so, can we restore previous
 > behavior (which was what, btw)?
 >
 > If this is not a regression, i.e. killing the initial frame in a
 > daemon session was previously allowed, then I don't think we should
 > signal an error.  We might ask for confirmation, but even then I'm not
 > sure.  If someone wants to kill that frame, why should Emacs protest?

Maybe Madhu can tell us.

martin